Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsLogRecord

    java.lang.Object
      java.util.logging.LogRecord
          oracle.ifs.common.logging.IfsLogRecord

All Implemented Interfaces:
  java.io.Serializable

    public class IfsLogRecord

extends java.util.logging.LogRecord

Extends LogRecord to hold an object that contains our extra logging information a LogInfo object. Log Record is a temporary structure to pass data with the logging framework.

See Also:
  Serialized Form
(Unpublished)

Constructor Summary
`IfsLogRecord(java.util.logging.Level level, java.lang.String msg)` Constructor to create a basic log record.
`IfsLogRecord(java.lang.String loggerName, java.util.logging.Level level, java.lang.String msg, java.lang.Throwable thrown, LogInfo logInfo)` Constructor to create a basic log record, with info and a throwable.

Method Summary
`LogInfo` | `getLogInfo()` Get the object that contains our extra data .
`java.lang.String` | `getSourceLineNumber()` Get the line number of the class that issued the logging call.
`void` | `setLogInfo(LogInfo logInfo)` Set the object that provids our extra log info.
`void` | `setSourceLineNumber(int lineNumber)` Set the line number in class that issued logging call

Methods inherited from class java.util.logging.LogRecord
`getLevel, getLoggerName, getMessage, getMillis, getParameters, getResourceBundle, getResourceBundleName, getSequenceNumber, getSourceClassName, getSourceMethodName, getThreadID, getThrown, setLevel, setLoggerName, setMessage, setMillis, setParameters, setResourceBundle, setResourceBundleName, setSequenceNumber, setSourceClassName, setSourceMethodName, setThreadID, setThrown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsLogRecord

    public IfsLogRecord(java.util.logging.Level level,
                        java.lang.String msg)

  Constructor to create a basic log record.

  Parameters:
    `level` - a Level object that determines the log level of this request
    `msg` - a String containing the message to log
  (Unpublished)

### IfsLogRecord

    public IfsLogRecord(java.lang.String loggerName,
                        java.util.logging.Level level,
                        java.lang.String msg,
                        java.lang.Throwable thrown,
                        LogInfo logInfo)

  Constructor to create a basic log record, with info and a throwable.

  Parameters:
    `loggerName` - a String containing the name of the logger
    `level` - a Level object that determines the log level of this request
    `msg` - a String containing the message to log
    `thrown` - a Throwable to log
    `logInfo` - a object that implements LogInfo that contains extra information to log.
  (Unpublished)

Method Detail

### getLogInfo

    public LogInfo getLogInfo()

  Description copied from class: `IfsLogRecord`
  Get the object that contains our extra data .

  Returns:
    a LogInfo object that provided our extra log info.
  (Unpublished)

### setLogInfo

    public void setLogInfo(LogInfo logInfo)

  Description copied from class: `IfsLogRecord`
  Set the object that provids our extra log info.

  Parameters:
    `logInfo` - a LogInfo object, meaning it implement LogInfo interface.
  (Unpublished)

### setSourceLineNumber

    public void setSourceLineNumber(int lineNumber)

  Description copied from class: `IfsLogRecord`
  Set the line number in class that issued logging call

### getSourceLineNumber

    public java.lang.String getSourceLineNumber()

  Description copied from class: `IfsLogRecord`
  Get the line number of the class that issued the logging call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD